/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates the paned window widget.
***************************************************************/

/*paned.c*/

#include <Xm/Xm.h>
#include <Xm/Text.h>
#include <Xm/PanedW.h>

XtAppContext context;

Widget toplevel, pane, text1, text2;

void main(argc,argv)
    int argc;
    char *argv[];
{
    Arg al[20];
    int ac;

    /* create the toplevel shell */
    toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,NULL,NULL,0);

    /* create the paned window container. */
    ac=0;
    pane=XmCreatePanedWindow(toplevel,"pane",al,ac);
    XtManageChild(pane);

    /* create text1 widget */
    ac=0;
    XtSetArg(al[ac],XmNeditMode,XmMULTI_LINE_EDIT); ac++; 
    text1=XmCreateScrolledText(pane,"text",al,ac);
    XtManageChild(text1);

    /* create text2 widget */
    ac=0;
    XtSetArg(al[ac],XmNeditMode,XmMULTI_LINE_EDIT); ac++; 
    text2=XmCreateScrolledText(pane,"text",al,ac);
    XtManageChild(text2);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(context);
}
